<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.2" xmlns="http://xmlns.jcp.org/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_2.xsd">
    <persistence-unit name="sklep" transaction-type="JTA">
        <jta-data-source>java:/SklepDS</jta-data-source>
        <class>sklep.model.Customer</class>
        <class>sklep.model.OrderProduct</class>
        <class>sklep.model.OrderProductPK</class>
        <class>sklep.model.Order</class>
        <class>sklep.model.Product</class>
        <properties>
            <property name="hibernate.show_sql" value="true"/> <!-- pokazywanie zapytań SQL -->
        </properties>
    </persistence-unit>
</persistence>
